Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Components 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.soleng.eac.toolkit.component
Class AgraphComponent

    java.lang.Object
      com.endeca.soleng.eac.toolkit.base.EacElement
          com.endeca.soleng.eac.toolkit.base.Provisionable
              com.endeca.soleng.eac.toolkit.component.Component
                  com.endeca.soleng.eac.toolkit.component.ServerComponent
                      com.endeca.soleng.eac.toolkit.component.AgraphComponent

    public class AgraphComponent

extends com.endeca.soleng.eac.toolkit.component.ServerComponent

Field Summary

Fields inherited from class com.endeca.soleng.eac.toolkit.base.EacElement
`appName, dataPrefix, eacHost, eacPort, elementId, lockManager, logDir, sslEnabled, workingDir`

Constructor Summary
`AgraphComponent()`

Method Summary
`void` | `applyIndex()`
`com.endeca.eac.client.ComponentType` | `buildEacStub()`
`void` | `cleanDirs()`
`void` | `cleanLocalIndexDir()`
`void` | `copyIndexToAgraphInput()`
`void` | `copyIndexToNewAgraphInputDir()` Creates a temporary new index directory and fetches a copy of the index to the new directory.
`java.lang.String` | `getAppConfigDir()`
`java.util.List<java.lang.String>` | `getArgs()`
`java.lang.String` | `getCaFile()`
`java.lang.String` | `getCertFile()`
`java.lang.String` | `getCipher()`
`java.util.List<java.lang.String>` | `getDgraphChildren()`
`java.lang.String` | `getInputDir()`
`java.lang.String` | `getLocalIndexDir()`
`int` | `getPort()`
`java.lang.String` | `getRestartGroup()`
`java.lang.String` | `getSrcIndexDir()`
`java.lang.String` | `getSrcIndexHostId()`
`protected void` | `initializeEacStub(com.endeca.eac.client.AgraphComponentType stub)`
`void` | `removeNewIndexDir()` Removes the temporary new index directory.
`void` | `removeOldIndexDir()` Removes the temporary old index directory.
`void` | `setAppConfigDir(java.lang.String appConfigDir)`
`void` | `setArgs(java.util.List<java.lang.String> args)`
`void` | `setCaFile(java.lang.String caFile)`
`void` | `setCertFile(java.lang.String certFile)`
`void` | `setCipher(java.lang.String cipher)`
`void` | `setDgraphChildren(java.util.List<java.lang.String> dgraphChildren)`
`void` | `setInputDir(java.lang.String inputDir)`
`void` | `setPort(int port)`
`void` | `swapInNewIndexDir()` Swaps in the temporary new index directory, renaming the current input directory to a temporary old directory and renaming the new directory to the current input directory.

Methods inherited from class com.endeca.soleng.eac.toolkit.component.ServerComponent
`cycle, getNumIdleSecondsAfterStop, getPostStartupScript, getPreShutdownScript, getShutdownTimeout, getStartupTimeout, isRunning, isStarting, setPostStartupScript, setPreShutdownScript, setStartupTimeout, start, startAsynchronously, startInParallel, stop, stopAsynchronously, stopInParallel, waitForStarted, waitForStopped`

Methods inherited from class com.endeca.soleng.eac.toolkit.component.Component
`archiveLogDir, cleanDir, constructArchiveLogDir, constructCleanDir, getCustomDirectories, getDirProperties, getHost, getHostId, getLongPropertyValueOrDefault, getMaxMissedStatusChecksAllowed, getMaxWaitTimeSeconds, getMinWaitTimeSeconds, getNumLogBackups, getNumMissedStatusChecks, getProperties, getProperty, getSlowPollingIntervalMs, getStandardPollingIntervalMs, getStatus, incrementMissedStatusQueries, initializeEacStub, isActive, isDefined, isDefinitionChanged, isFailed, isHotUpdateDefinitionChange, isSkipTestingForFilesDuringCleanup, removeDefinition, setCustomDirectories, setDefinition, setDefinition, setHost, setHostId, setNumMissedStatusChecks, setProperties, updateDefinition, updateEacDefinition, updateEacDefinition, waitForFinished`

Methods inherited from class com.endeca.soleng.eac.toolkit.base.Provisionable
`getAppDefinitionFromEac, getCachedAppDefinition, getProvisioningPort, invalidateCachedAppDefinition, setCachedAppDefinition`

Methods inherited from class com.endeca.soleng.eac.toolkit.base.EacElement
`getAppName, getDataPrefix, getEacHost, getEacPort, getElementId, getLockManager, getLogDir, getWorkingDir, isSslEnabled, setAppName, setDataPrefix, setEacHost, setEacPort, setElementId, setLockManager, setLogDir, setSslEnabled, setWorkingDir`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgraphComponent

    public AgraphComponent()

Method Detail

### cleanDirs

    public void cleanDirs()
                   throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                          com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                          com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                          java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### cleanLocalIndexDir

    public void cleanLocalIndexDir()
                            throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                   com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                   com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                   java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### copyIndexToAgraphInput

    public void copyIndexToAgraphInput()
                                throws com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                       com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                       java.lang.InterruptedException,
                                       com.endeca.soleng.eac.toolkit.exception.AppConfigurationException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`

### applyIndex

    public void applyIndex()
                    throws com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                           com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                           java.lang.InterruptedException,
                           com.endeca.soleng.eac.toolkit.exception.AppConfigurationException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`

### copyIndexToNewAgraphInputDir

    public void copyIndexToNewAgraphInputDir()
                                      throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                             com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                             com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                             java.lang.InterruptedException

  Creates a temporary new index directory and fetches a copy of the index to the new directory.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `java.lang.InterruptedException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`

### swapInNewIndexDir

    public void swapInNewIndexDir()
                           throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                  com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                  com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                  java.lang.InterruptedException

  Swaps in the temporary new index directory, renaming the current input directory to a temporary old directory and renaming the new directory to the current input directory.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `java.lang.InterruptedException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`

### removeOldIndexDir

    public void removeOldIndexDir()
                           throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                  com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                  com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                  java.lang.InterruptedException

  Removes the temporary old index directory.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `java.lang.InterruptedException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`

### removeNewIndexDir

    public void removeNewIndexDir()
                           throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                  com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                  com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                  java.lang.InterruptedException

  Removes the temporary new index directory.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `java.lang.InterruptedException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`

### buildEacStub

    public com.endeca.eac.client.ComponentType buildEacStub()

  Overrides:
    `buildEacStub` in class `com.endeca.soleng.eac.toolkit.component.Component`

### initializeEacStub

    protected void initializeEacStub(com.endeca.eac.client.AgraphComponentType stub)

### getRestartGroup

    public java.lang.String getRestartGroup()

### getSrcIndexDir

    public java.lang.String getSrcIndexDir()

### getSrcIndexHostId

    public java.lang.String getSrcIndexHostId()

### getLocalIndexDir

    public java.lang.String getLocalIndexDir()

### getAppConfigDir

    public java.lang.String getAppConfigDir()

### setAppConfigDir

    public void setAppConfigDir(java.lang.String appConfigDir)

### getArgs

    public java.util.List<java.lang.String> getArgs()

### setArgs

    public void setArgs(java.util.List<java.lang.String> args)

### getDgraphChildren

    public java.util.List<java.lang.String> getDgraphChildren()

### setDgraphChildren

    public void setDgraphChildren(java.util.List<java.lang.String> dgraphChildren)

### getInputDir

    public java.lang.String getInputDir()

### setInputDir

    public void setInputDir(java.lang.String inputDir)

### getPort

    public int getPort()

### setPort

    public void setPort(int port)

### getCaFile

    public java.lang.String getCaFile()

### setCaFile

    public void setCaFile(java.lang.String caFile)

### getCertFile

    public java.lang.String getCertFile()

### setCertFile

    public void setCertFile(java.lang.String certFile)

### getCipher

    public java.lang.String getCipher()

### setCipher

    public void setCipher(java.lang.String cipher)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Components 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2012, Oracle and/or its affiliates. All rights reserved.

    @VERSION
    PRODUCT: EAC Components (eacComponents)
    VERSION: 3.2.2
    BUILD:   NONEDEV
    ARCH_OS: n/a
    DATE:    2012-02-28T13:13:23-0500